cmake_minimum_required(VERSION 3.10)
project(std_msgs)

set(CMAKE_CXX_STANDARD 17)

if (NOT TARGET robot_time)
    # add_subdirectory(${CMAKE_SOURCE_DIR}/../robot_time ${CMAKE_BINARY_DIR}/robot_time_build)
    add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/../../robot_time ${CMAKE_BINARY_DIR}/robot_time_build)
endif()

add_library(std_msgs INTERFACE)
target_include_directories(std_msgs INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/include 
                        ${CMAKE_SOURCE_DIR}/../robot_time/include)
target_link_libraries(std_msgs INTERFACE robot_time)
